Subject: Re: Cygwin performance (was [ANN] PW32 the...)
From: Scott Blachowicz <[email-masked]>
To: Heribert Dahms <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 Mar 2000 09:32:03 -0800

Heribert Dahms <[email-masked]> wrote:

> are you hardwired to 'ls', 'ls -l'  or (like me) 'll'?
> My stock b20 'ls' spits out only filenames!

I usually use 'ls -l', but what I really want (usually) is the filenames,
sizes and mod times (and sometimes permissions). And, if I want that, I'll
have to take the stat() penalty, I guess. So...I was curious...what is it in
the stat() call that can only be obtained by opening the file? Is it just the
cygnus stat() emulation that does that? One of these days, maybe I'll try out
a native-Win32 perl 'ls' wrapper script...

[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]